> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses checkout paymentsby document



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/checkout-payments/by-document/{documentId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/checkout-payments/by-document/{documentId}:
    get:
      tags:
        - BusinessCheckoutPayments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: documentId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: documentType
          in: query
          schema:
            type: string
            default: Receipt
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
components:
  schemas:
    SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        documentId:
          type: integer
          format: int64
        documentType:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
        payerUserId:
          type: integer
          format: int64
          nullable: true
        payerEmail:
          type: string
          nullable: true
        payerName:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        applicationFeeAmount:
          type: number
          format: double
        netAmount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        paymentIntentId:
          type: string
          nullable: true
        clientSecret:
          type: string
          nullable: true
        paymentMethodType:
          type: string
          nullable: true
        receiptUrl:
          type: string
          nullable: true
        failureCode:
          type: string
          nullable: true
        failureMessage:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        paidAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````